btb-class |

# HashList(TKey,TValue).Add(TKey, TValue) Method

Adds an element with the provided key and value to the IDictionary`2.

public void HashList(
TKey key,
TValue value
);

#### Parameters

key
  The object to use as the key of the element to add.
value
  The object to use as the value of the element to add.

#### Implements

IDictionary<TKey, TValue>.Add

#### Exceptions

Exception Type | Condition
--- | ---
NotSupportedException | The IDictionary`2 is read-only.
ArgumentException | An element with the same key already exists in the IDictionary`2.
ArgumentNullException | key is null.

#### See Also

HashList<TKey, TValue> Class | ComponentOwl.BetterThumbnailBrowser Namespace | HashList<TKey, TValue>.Add Overload List